> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Rule Filter

> This operation deletes an existing filter.



## OpenAPI

````yaml spend-control delete /v1/filters/{filter-id}
openapi: 3.0.3
info:
  version: '1'
  title: Spend Control API
  description: >
    # Rules

    Rules define specific conditions that control how spending should be
    managed. These conditions can be based on various factors such as merchant
    category, transaction amount, merchant location, etc. The rules are applied
    to transactions to determine whether they should be approved or declined.

    # Filters and Filter Operator Types

    Filters define specific criteria that must be met for a rule to be applied.
    They help refine the conditions under which a rule operates. Filter operator
    types define how multiple filters within a rule should be evaluated.

    # Example Usage

    A rule might be configured to decline transactions if the MCC is in a
    specified list of blocked codes and the transaction amount exceeds a certain
    limit. Filters can be applied to ensure that the rule only evaluates
    transactions that meet specific criteria, such as transactions from a
    certain country or transactions above a certain amount.

    ### Disclaimer

    This feature is sold separately. Please contact our sales department for
    more information.
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/spend-control
    description: Live environment
security: []
paths:
  /v1/filters/{filter-id}:
    delete:
      tags:
        - Rules Endpoints
      summary: Delete Rule Filter
      description: This operation deletes an existing filter.
      operationId: deleteRuleFilter
      parameters:
        - $ref: '#/components/parameters/filterId'
        - $ref: '#/components/parameters/auditUser'
      responses:
        '204':
          description: Successful operation
        '400':
          $ref: '#/components/responses/error400'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
components:
  parameters:
    filterId:
      name: filter-id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    auditUser:
      name: auditUser
      in: query
      description: The audit user to log the request
      required: true
      schema:
        type: string
  responses:
    error400:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
  schemas:
    Id:
      type: string
      format: biginteger
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred

````